openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/GET_TSPACE_STORAGE_DATA_DB2:
    post:
      tags:
      - S_TABIXMON_DB2
      operationId: /rfc/GET_TSPACE_STORAGE_DATA_DB2
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DB2_CATALOG_SIZES:
                  type: array
                  items:
                    type: object
                    properties:
                      ANDATE:
                        type: string
                        format: date
                        description: Analyze date
                      ANTIME:
                        type: string
                        maxLength: 6
                        description: Analyze time
                      NAME:
                        type: string
                        maxLength: 8
                        description: Name of the tablespace or indexspace
                      DBNAME:
                        type: string
                        maxLength: 8
                        description: Database name
                      CREATOR:
                        type: string
                        maxLength: 8
                        description: Creator of the tablespace or index
                      PARTITIONS:
                        type: integer
                        format: int32
                        description: Number of partitions
                      PART:
                        type: integer
                        format: int32
                        description: Partition
                      EXTENTS:
                        type: integer
                        format: int32
                        description: Number of extents
                      ALLOCSIZE:
                        type: integer
                        format: int32
                        description: Allocated size in KB
                      FREESIZE:
                        type: integer
                        format: int32
                        description: Difference between allocated and used size in KB
                      D_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/day in number of extents
                      D_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/day in allocated size
                      D_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/day in free size
                      W_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/week in number of extents
                      W_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/week in allocated size
                      W_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/week in free size
                      M_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/month in number of extents
                      M_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/month in allocated size
                      M_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/month in free size
                      DSNAME:
                        type: string
                        maxLength: 48
                        description: Dataset name
                      PQTY:
                        type: integer
                        format: int32
                        description: Primary quantity
                      SQTY:
                        type: integer
                        format: int32
                        description: Secondary quantity
                      SPACE_TYPE:
                        type: integer
                        format: int32
                        description: Unit of PQTY and SQTY
                      VOLUME:
                        type: string
                        maxLength: 8
                        description: Serial number of the volume the dataset resides on
                R3_INDEX_SIZES:
                  type: array
                  items:
                    type: object
                    properties:
                      ANDATE:
                        type: string
                        format: date
                        description: Analyze date
                      ANTIME:
                        type: string
                        maxLength: 6
                        description: Analyze time
                      NAME:
                        type: string
                        maxLength: 8
                        description: Name of the tablespace or indexspace
                      DBNAME:
                        type: string
                        maxLength: 8
                        description: Database name
                      CREATOR:
                        type: string
                        maxLength: 8
                        description: Creator of the tablespace or index
                      PARTITIONS:
                        type: integer
                        format: int32
                        description: Number of partitions
                      PART:
                        type: integer
                        format: int32
                        description: Partition
                      EXTENTS:
                        type: integer
                        format: int32
                        description: Number of extents
                      ALLOCSIZE:
                        type: integer
                        format: int32
                        description: Allocated size in KB
                      FREESIZE:
                        type: integer
                        format: int32
                        description: Difference between allocated and used size in KB
                      D_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/day in number of extents
                      D_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/day in allocated size
                      D_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/day in free size
                      W_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/week in number of extents
                      W_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/week in allocated size
                      W_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/week in free size
                      M_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/month in number of extents
                      M_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/month in allocated size
                      M_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/month in free size
                      DSNAME:
                        type: string
                        maxLength: 48
                        description: Dataset name
                      PQTY:
                        type: integer
                        format: int32
                        description: Primary quantity
                      SQTY:
                        type: integer
                        format: int32
                        description: Secondary quantity
                      SPACE_TYPE:
                        type: integer
                        format: int32
                        description: Unit of PQTY and SQTY
                      VOLUME:
                        type: string
                        maxLength: 8
                        description: Serial number of the volume the dataset resides on
                R3_TABLESPACE_SIZES:
                  type: array
                  items:
                    type: object
                    properties:
                      ANDATE:
                        type: string
                        format: date
                        description: Analyze date
                      ANTIME:
                        type: string
                        maxLength: 6
                        description: Analyze time
                      NAME:
                        type: string
                        maxLength: 8
                        description: Name of the tablespace or indexspace
                      DBNAME:
                        type: string
                        maxLength: 8
                        description: Database name
                      CREATOR:
                        type: string
                        maxLength: 8
                        description: Creator of the tablespace or index
                      PARTITIONS:
                        type: integer
                        format: int32
                        description: Number of partitions
                      PART:
                        type: integer
                        format: int32
                        description: Partition
                      EXTENTS:
                        type: integer
                        format: int32
                        description: Number of extents
                      ALLOCSIZE:
                        type: integer
                        format: int32
                        description: Allocated size in KB
                      FREESIZE:
                        type: integer
                        format: int32
                        description: Difference between allocated and used size in KB
                      D_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/day in number of extents
                      D_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/day in allocated size
                      D_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/day in free size
                      W_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/week in number of extents
                      W_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/week in allocated size
                      W_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/week in free size
                      M_EXTENTS:
                        type: integer
                        format: int32
                        description: Changes/month in number of extents
                      M_ALLOC:
                        type: integer
                        format: int32
                        description: Changes/month in allocated size
                      M_FREESIZE:
                        type: integer
                        format: int32
                        description: Changes/month in free size
                      DSNAME:
                        type: string
                        maxLength: 48
                        description: Dataset name
                      PQTY:
                        type: integer
                        format: int32
                        description: Primary quantity
                      SQTY:
                        type: integer
                        format: int32
                        description: Secondary quantity
                      SPACE_TYPE:
                        type: integer
                        format: int32
                        description: Unit of PQTY and SQTY
                      VOLUME:
                        type: string
                        maxLength: 8
                        description: Serial number of the volume the dataset resides on
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  DB2_CATALOG_SIZES:
                    type: array
                    items:
                      type: object
                      properties:
                        ANDATE:
                          type: string
                          format: date
                          description: Analyze date
                        ANTIME:
                          type: string
                          maxLength: 6
                          description: Analyze time
                        NAME:
                          type: string
                          maxLength: 8
                          description: Name of the tablespace or indexspace
                        DBNAME:
                          type: string
                          maxLength: 8
                          description: Database name
                        CREATOR:
                          type: string
                          maxLength: 8
                          description: Creator of the tablespace or index
                        PARTITIONS:
                          type: integer
                          format: int32
                          description: Number of partitions
                        PART:
                          type: integer
                          format: int32
                          description: Partition
                        EXTENTS:
                          type: integer
                          format: int32
                          description: Number of extents
                        ALLOCSIZE:
                          type: integer
                          format: int32
                          description: Allocated size in KB
                        FREESIZE:
                          type: integer
                          format: int32
                          description: Difference between allocated and used size in KB
                        D_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/day in number of extents
                        D_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/day in allocated size
                        D_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/day in free size
                        W_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/week in number of extents
                        W_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/week in allocated size
                        W_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/week in free size
                        M_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/month in number of extents
                        M_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/month in allocated size
                        M_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/month in free size
                        DSNAME:
                          type: string
                          maxLength: 48
                          description: Dataset name
                        PQTY:
                          type: integer
                          format: int32
                          description: Primary quantity
                        SQTY:
                          type: integer
                          format: int32
                          description: Secondary quantity
                        SPACE_TYPE:
                          type: integer
                          format: int32
                          description: Unit of PQTY and SQTY
                        VOLUME:
                          type: string
                          maxLength: 8
                          description: Serial number of the volume the dataset resides on
                  R3_INDEX_SIZES:
                    type: array
                    items:
                      type: object
                      properties:
                        ANDATE:
                          type: string
                          format: date
                          description: Analyze date
                        ANTIME:
                          type: string
                          maxLength: 6
                          description: Analyze time
                        NAME:
                          type: string
                          maxLength: 8
                          description: Name of the tablespace or indexspace
                        DBNAME:
                          type: string
                          maxLength: 8
                          description: Database name
                        CREATOR:
                          type: string
                          maxLength: 8
                          description: Creator of the tablespace or index
                        PARTITIONS:
                          type: integer
                          format: int32
                          description: Number of partitions
                        PART:
                          type: integer
                          format: int32
                          description: Partition
                        EXTENTS:
                          type: integer
                          format: int32
                          description: Number of extents
                        ALLOCSIZE:
                          type: integer
                          format: int32
                          description: Allocated size in KB
                        FREESIZE:
                          type: integer
                          format: int32
                          description: Difference between allocated and used size in KB
                        D_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/day in number of extents
                        D_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/day in allocated size
                        D_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/day in free size
                        W_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/week in number of extents
                        W_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/week in allocated size
                        W_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/week in free size
                        M_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/month in number of extents
                        M_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/month in allocated size
                        M_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/month in free size
                        DSNAME:
                          type: string
                          maxLength: 48
                          description: Dataset name
                        PQTY:
                          type: integer
                          format: int32
                          description: Primary quantity
                        SQTY:
                          type: integer
                          format: int32
                          description: Secondary quantity
                        SPACE_TYPE:
                          type: integer
                          format: int32
                          description: Unit of PQTY and SQTY
                        VOLUME:
                          type: string
                          maxLength: 8
                          description: Serial number of the volume the dataset resides on
                  R3_TABLESPACE_SIZES:
                    type: array
                    items:
                      type: object
                      properties:
                        ANDATE:
                          type: string
                          format: date
                          description: Analyze date
                        ANTIME:
                          type: string
                          maxLength: 6
                          description: Analyze time
                        NAME:
                          type: string
                          maxLength: 8
                          description: Name of the tablespace or indexspace
                        DBNAME:
                          type: string
                          maxLength: 8
                          description: Database name
                        CREATOR:
                          type: string
                          maxLength: 8
                          description: Creator of the tablespace or index
                        PARTITIONS:
                          type: integer
                          format: int32
                          description: Number of partitions
                        PART:
                          type: integer
                          format: int32
                          description: Partition
                        EXTENTS:
                          type: integer
                          format: int32
                          description: Number of extents
                        ALLOCSIZE:
                          type: integer
                          format: int32
                          description: Allocated size in KB
                        FREESIZE:
                          type: integer
                          format: int32
                          description: Difference between allocated and used size in KB
                        D_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/day in number of extents
                        D_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/day in allocated size
                        D_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/day in free size
                        W_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/week in number of extents
                        W_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/week in allocated size
                        W_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/week in free size
                        M_EXTENTS:
                          type: integer
                          format: int32
                          description: Changes/month in number of extents
                        M_ALLOC:
                          type: integer
                          format: int32
                          description: Changes/month in allocated size
                        M_FREESIZE:
                          type: integer
                          format: int32
                          description: Changes/month in free size
                        DSNAME:
                          type: string
                          maxLength: 48
                          description: Dataset name
                        PQTY:
                          type: integer
                          format: int32
                          description: Primary quantity
                        SQTY:
                          type: integer
                          format: int32
                          description: Secondary quantity
                        SPACE_TYPE:
                          type: integer
                          format: int32
                          description: Unit of PQTY and SQTY
                        VOLUME:
                          type: string
                          maxLength: 8
                          description: Serial number of the volume the dataset resides on
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
